"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CountPendingActivityTasksInput_1 = require("../shapes/CountPendingActivityTasksInput");
const CountPendingActivityTasksOutput_1 = require("../shapes/CountPendingActivityTasksOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CountPendingActivityTasks = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CountPendingActivityTasks",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CountPendingActivityTasksInput_1.CountPendingActivityTasksInput
    },
    output: {
        shape: CountPendingActivityTasksOutput_1.CountPendingActivityTasksOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=CountPendingActivityTasks.js.map