"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RespondDecisionTaskCompletedInput_1 = require("../shapes/RespondDecisionTaskCompletedInput");
const RespondDecisionTaskCompletedOutput_1 = require("../shapes/RespondDecisionTaskCompletedOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RespondDecisionTaskCompleted = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RespondDecisionTaskCompleted",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RespondDecisionTaskCompletedInput_1.RespondDecisionTaskCompletedInput
    },
    output: {
        shape: RespondDecisionTaskCompletedOutput_1.RespondDecisionTaskCompletedOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=RespondDecisionTaskCompleted.js.map