"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CountOpenWorkflowExecutionsInput_1 = require("../shapes/CountOpenWorkflowExecutionsInput");
const CountOpenWorkflowExecutionsOutput_1 = require("../shapes/CountOpenWorkflowExecutionsOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.CountOpenWorkflowExecutions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CountOpenWorkflowExecutions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: CountOpenWorkflowExecutionsInput_1.CountOpenWorkflowExecutionsInput
    },
    output: {
        shape: CountOpenWorkflowExecutionsOutput_1.CountOpenWorkflowExecutionsOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=CountOpenWorkflowExecutions.js.map