"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _WorkflowExecutionInfo_1 = require("./_WorkflowExecutionInfo");
const _WorkflowExecutionConfiguration_1 = require("./_WorkflowExecutionConfiguration");
const _WorkflowExecutionOpenCounts_1 = require("./_WorkflowExecutionOpenCounts");
exports.DescribeWorkflowExecutionOutput = {
    type: "structure",
    required: ["executionInfo", "executionConfiguration", "openCounts"],
    members: {
        executionInfo: {
            shape: _WorkflowExecutionInfo_1._WorkflowExecutionInfo
        },
        executionConfiguration: {
            shape: _WorkflowExecutionConfiguration_1._WorkflowExecutionConfiguration
        },
        openCounts: {
            shape: _WorkflowExecutionOpenCounts_1._WorkflowExecutionOpenCounts
        },
        latestActivityTaskTimestamp: {
            shape: {
                type: "timestamp"
            }
        },
        latestExecutionContext: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeWorkflowExecutionOutput.js.map