"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ExecutionTimeFilter_1 = require("./_ExecutionTimeFilter");
const _WorkflowTypeFilter_1 = require("./_WorkflowTypeFilter");
const _TagFilter_1 = require("./_TagFilter");
const _WorkflowExecutionFilter_1 = require("./_WorkflowExecutionFilter");
exports.ListOpenWorkflowExecutionsInput = {
    type: "structure",
    required: ["domain", "startTimeFilter"],
    members: {
        domain: {
            shape: {
                type: "string",
                min: 1
            }
        },
        startTimeFilter: {
            shape: _ExecutionTimeFilter_1._ExecutionTimeFilter
        },
        typeFilter: {
            shape: _WorkflowTypeFilter_1._WorkflowTypeFilter
        },
        tagFilter: {
            shape: _TagFilter_1._TagFilter
        },
        nextPageToken: {
            shape: {
                type: "string"
            }
        },
        maximumPageSize: {
            shape: {
                type: "integer"
            }
        },
        reverseOrder: {
            shape: {
                type: "boolean"
            }
        },
        executionFilter: {
            shape: _WorkflowExecutionFilter_1._WorkflowExecutionFilter
        }
    }
};
//# sourceMappingURL=ListOpenWorkflowExecutionsInput.js.map